Bug 215407 - Add smaps functionality to RHEL-4
Add smaps functionality to RHEL-4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lalancette
Brian Brock
:
Depends On:
Blocks: 248673
  Show dependency treegraph
 
Reported: 2006-11-13 15:30 EST by Chris Lalancette
Modified: 2010-10-22 02:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:16:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add smaps functionality to RHEL-4 (11.00 KB, patch)
2006-11-13 15:30 EST, Chris Lalancette
no flags Details | Diff
Add smaps functionality to RHEL-4 (another take) (11.02 KB, patch)
2006-12-06 16:54 EST, Chris Lalancette
no flags Details | Diff
Fifth take of the smaps patch (11.02 KB, patch)
2007-02-27 09:48 EST, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2006-11-13 15:30:36 EST
Description of problem:
RHEL-4 currently does not have smaps functionality.  This is useful as a more
fine-grained breakdown of the memory that a process is actually using, just has
mapped in, and shares with other processes.
Comment 1 Chris Lalancette 2006-11-13 15:30:36 EST
Created attachment 141096 [details]
Add smaps functionality to RHEL-4
Comment 2 Chris Lalancette 2006-12-06 16:54:11 EST
Created attachment 142996 [details]
Add smaps functionality to RHEL-4 (another take)
Comment 3 Chris Lalancette 2007-02-27 09:48:17 EST
Created attachment 148864 [details]
Fifth take of the smaps patch
Comment 4 RHEL Product and Program Management 2007-04-18 18:49:18 EDT
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.
Comment 5 Jason Baron 2007-06-27 10:45:27 EDT
committed in stream U6 build 55.13. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 7 Don Domingo 2007-08-22 22:01:15 EDT
added to RHEL4.6 release notes under "Kernel-Related Updates":

<quote>
smaps functionality is now supported
</quote>

please advise if any revisions are necessary. thanks!

Comment 9 errata-xmlrpc 2007-11-15 11:16:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html

Note You need to log in before you can comment on or make changes to this bug.